For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Pipeline

Returns the Pipeline by ID.

get
/pipelines/{pipelineId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Responses
200

Getting Pipeline was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Pipeline.

Example: /pipelines/f72521ba-1590-5998-bf96-6eb997a5887d
get/pipelines/{pipelineId}
GET /pipelines/{pipelineId} HTTP/1.1
Host: logging.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
  "type": "pipeline",
  "href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "statusMessage": null
  },
  "properties": {
    "name": "Pipeline1",
    "logs": [
      {
        "source": "generic",
        "tag": "tag1",
        "protocol": "http",
        "labels": [
          "label_1",
          "label_2"
        ],
        "destinations": [
          {
            "type": "loki",
            "retentionInDays": 30
          }
        ]
      }
    ],
    "tcpAddress": "tcp-1234.logging.de-txl.ionos.com",
    "httpAddress": "1234.logging.de-txl.ionos.com",
    "grafanaAddress": "grafana.logging.de-txl.ionos.com",
    "resourceTier": "s",
    "key": "momSrlgAAEmaYEvBsMr^HsYn"
  }
}

Last updated

Was this helpful?